Page MenuHomeFreeBSD

Add ACPI support to INTRNG.
ClosedPublic

Authored by andrew on Nov 22 2016, 11:55 PM.

Details

Summary

This adds a new acpi_bus interface with a map_intr method. This is
similar to the Openfirmware map_intr method and allows us to create
the needed mapping from ACPI space to INTRNG space.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

andrew retitled this revision from to Add ACPI support to INTRNG..Nov 22 2016, 11:55 PM
andrew updated this object.
andrew edited the test plan for this revision. (Show Details)
andrew added reviewers: arm64, jhb, jkim, skra, mmel.
andrew added a subscriber: emaste.
andrew updated this revision to Diff 22449.
emaste added inline comments.Nov 24 2016, 2:06 AM
sys/conf/files.arm64
148 ↗(On Diff #22449)

should thos sort before acpi_if.m?

sys/dev/acpica/acpi_bus_if.m
57 ↗(On Diff #22449)

typo

skra added inline comments.Nov 24 2016, 1:31 PM
sys/sys/intr.h
64 ↗(On Diff #22449)

This definition should be in some ACPI specific header as INTRNG does not need to know anything about ACPI.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 11 2018, 5:09 PM
This revision was automatically updated to reflect the committed changes.